#ifndef SYSTEM_DATACHANNELS_H
#define SYSTEM_DATACHANNELS_H TRUE

/*
**  datachannels.h
**
**  (C) Copyright 2000-2004 Rocklyte Systems.
**      All Rights Reserved.
*/

#ifndef MAIN_H
#include <pandora/main.h>
#endif

/****************************************************************************
** Data channel codes
*/

#define DATA_TEXT     1    /* Standard ascii text */
#define DATA_KEYPRESS 2    /* Specific keyboard button */
#define DATA_RAW      3    /* Raw unprocessed data */
#define DATA_JOYPORT  4    /* Joyport activity */
#define DATA_XML      5    /* Markup based text data */
#define DATA_AUDIO    6    /* Raw audio data */

#define DATA_KEY DATA_KEYPRESS

/*****************************************************************************
** Data structure for Keypress.
*/

struct dcKeyEntry {
   LONG Flags;   /* Shift/Control/CapsLock... */
   LONG Value;   /* ASCII value of the key A/B/C/D... */
};

/*****************************************************************************
** Data structure for Joyport activity.
*/

struct dcJoyEntry {
   DOUBLE XChange;
   DOUBLE YChange;
   DOUBLE ZChange;
   DOUBLE AbsX;
   DOUBLE AbsY;
   DOUBLE AbsZ;
   LONG ButtonPressFlags;
   LONG ButtonReleaseFlags;
};

/*****************************************************************************
** Data structure for Audio.
*/

struct dcAudio {
   LONG Size;     /* Byte size of this structure */
   LONG Format;   /* Format of the audio data */
};

#endif /* SYSTEM_DATACHANNELS_H */
